<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title>Bootstrap Flex</title>

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>
	<h1 class="text-center my-5">Bootstrap Flex</h1>

     <h3 class="text-center my-5">Flex Row</h3>
	<div class="bg-dark d-flex my-3">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
		
	</div>

	<div class="bg-dark d-flex flex-row mb-4">

		<span class="bg-primary p-2">Span Flex 1</span>
		<span class="bg-danger p-2">Span Flex 2</span>
		<span class="bg-success p-2">Span Flex 3</span>
		
	</div>
	<h3 class="text-center my-5">Flex Row Reverse</h3>
	<div class="d-flex flex-row-reverse bg-dark mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<h3 class="text-center my-5">Flex Column</h3>
	<div class="d-flex flex-column bg-dark mb-4 p-4" style="height: 80vh;">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
		<div class="bg-dark d-flex flex-column mb-4 p-4">

		<span class="bg-primary p-2">Span Flex 1</span>
		<span class="bg-danger p-2">Span Flex 2</span>
		<span class="bg-success p-2">Span Flex 3</span>
		
	</div>
	<h3 class="text-center my-5">Flex column Reverse</h3>
	<div class="bg-dark d-flex flex-column-reverse mb-4 p-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>

	<h2 class="text-center my-5">Justify Content</h2>
	<h3 class="text-center my-5">Justify Content Start</h3>
	<div class="bg-dark d-flex flex-row justify-content-start mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row-reverse justify-content-start mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>

	<h3 class="text-center my-5"> Justify content End</h3>
	<div class="bg-dark d-flex flex-row justify-content-end mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<div class="bg-dark d-flex flex-row-reverse justify-content-end mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<h3 class="text-center my-5">Justify Content Center</h3>
	<div class="bg-dark d-flex flex-row justify-content-center mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
		<div class="bg-dark d-flex flex-row-reverse justify-content-center mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<h3 class="text-center my-5">Justify Content Between</h3>
	<div class="d-flex flex-row justify-content-between bg-dark mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
		<div class="bg-warning p-2">Flex item 4</div>
		<div class="bg-info p-2">Flex item 5</div>
	</div>
		<div class="d-flex flex-row-reverse justify-content-between bg-dark mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<h3 class="text-center my-5">Justify Content Around</h3>
	<div class="bg-dark d-flex flex-row justify-content-around mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<div class="bg-dark d-flex flex-row-reverse justify-content-around mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<!-- Align items -->
	<h2 class="text-center">Align Items Start</h2>

	<div class="d-flex flex-row align-items-start bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<div class="d-flex flex-row-reverse align-items-start bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>

	<h2 class="text-center">Align Items End</h2>

	<div class="d-flex flex-row align-items-end bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<div class="d-flex flex-row-reverse align-items-end bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	
	<h2 class="text-center">Align Items center</h2>

	<div class="d-flex flex-row align-items-center bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<div class="d-flex flex-row-reverse align-items-center bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<h2 class="text-center my-5">Aligning Items Horizontally and Vertically</h2>
	<div class="d-flex flex-row align-items-end justify-content-end bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
	<div class="d-flex flex-row align-items-end justify-content-around bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>
		<div class="d-flex flex-row align-items-center justify-content-end bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>	

	<h3 class="text-center my-5"> Mini-Acitivity with Flex Row</h3>
	<div class="d-flex flex-row align-items-center justify-content-center bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>

	<div class="d-flex flex-row align-items-center justify-content-between bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex  item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>

	<h3 class="text-center my-5">Flex Column with the Align Items and Justify Content</h3>
	<div class="d-flex flex-column align-items-center bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2" style="width:20%;">Flex item 1</div>
		<div class="bg-danger p-2" style="width:20%;">Flex item 2</div>
		<div class="bg-success p-2" style="width:20%;">Flex item 3</div>
	</div>
	<div class="d-flex flex-column justify-content-center bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2" style="width:20%;">Flex item 1</div>
		<div class="bg-danger p-2" style="width:20%;">Flex item 2</div>
		<div class="bg-success p-2" style="width:20%;">Flex item 3</div>
	</div>
	<!-- Mini Activity -->

	<h3 class="text-center my-5">Mini Activity with flex Column</h3>
	<div class="d-flex flex-column justify-content-end bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2" style="width:20%;">Flex item 1</div>
		<div class="bg-danger p-2" style="width:20%;">Flex item 2</div>
		<div class="bg-success p-2" style="width:20%;">Flex item 3</div>
	</div>

	<div class="d-flex flex-column align-items-end bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2" style="width:20%;">Flex item 1</div>
		<div class="bg-danger p-2" style="width:20%;">Flex item 2</div>
		<div class="bg-success p-2" style="width:20%;">Flex item 3</div>
	</div>

	<h3 class="text-center my-5">Flex Column With Justify content between and around.</h3>
	<div class="d-flex flex-column justify-content-between bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2" style="width:20%;">Flex item 1</div>
		<div class="bg-danger p-2" style="width:20%;">Flex item 2</div>
		<div class="bg-success p-2" style="width:20%;">Flex item 3</div>
	</div>

	<div class="d-flex flex-column justify-content-around bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2" style="width:20%;">Flex item 1</div>
		<div class="bg-danger p-2" style="width:20%;">Flex item 2</div>
		<div class="bg-success p-2" style="width:20%;">Flex item 3</div>
	</div>

	<h3 class="text-center my-5">Flex Wrap</h3>
	<div class="d-flex flex-row justify-content-around bg-dark flex-wrap mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex item 2</div>
		<div class="bg-success p-2">Flex item 3</div>		
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex item 2</div>
		<div class="bg-success p-2">Flex item 3</div>		
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex item 2</div>
	</div>


		
		







	 <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>


</body>
</html>